Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Class AbstractJMSProviderAdapter

    java.lang.Object
      org.jboss.jms.jndi.AbstractJMSProviderAdapter

All Implemented Interfaces:
  JMSProviderAdapter, Serializable

Direct Known Subclasses:
  JNDIProviderAdapter

public abstract class AbstractJMSProviderAdapter
extends Object
implements JMSProviderAdapter, Serializable

An abstract implementaion of `JMSProviderAdapter`. Sub-classes must provide connection names via instance initialzation and provide an implementaion of `JMSProviderAdapter.getInitialContext()`. 6/22/01 - hchirino - The queue/topic jndi references are now configed via JMX

Version:

      $Revision: 1.8 $

Author:
  Jason Dillon, Hiram Chirino
See Also:
  Serialized Form

Field Summary
`protected String` | `factoryRef` The factory name to use.
`protected String` | `name` The name of the provider.
`protected Properties` | `properties` The properties.
`protected String` | `queueFactoryRef` The queue factory name to use.
`protected String` | `topicFactoryRef` The topic factory name to use.

Constructor Summary
`AbstractJMSProviderAdapter()`

Method Summary
`String` | `getFactoryRef()` ???
`String` | `getName()` Get the name of the provider.
`Properties` | `getProperties()`
`String` | `getQueueFactoryRef()` ???
`String` | `getTopicFactoryRef()` ???
`void` | `setFactoryRef(String newFactoryRef)` ???
`void` | `setName(String name)` Set the name of the provider.
`void` | `setProperties(Properties properties)`
`void` | `setQueueFactoryRef(String newQueueFactoryRef)` ???
`void` | `setTopicFactoryRef(String newTopicFactoryRef)` ???

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.jms.jndi.JMSProviderAdapter
`getInitialContext`

Field Detail

### name

    protected String name

  The name of the provider.

### properties

    protected Properties properties

  The properties.

### factoryRef

    protected String factoryRef

  The factory name to use.

### queueFactoryRef

    protected String queueFactoryRef

  The queue factory name to use.

### topicFactoryRef

    protected String topicFactoryRef

  The topic factory name to use.

Constructor Detail

### AbstractJMSProviderAdapter

    public AbstractJMSProviderAdapter()

Method Detail

### setName

    public void setName(String name)

  Set the name of the provider.

  Specified by:
    `setName` in interface `JMSProviderAdapter`
  Parameters:
    `name` - The provider name.

### getName

    public final String getName()

  Get the name of the provider.

  Specified by:
    `getName` in interface `JMSProviderAdapter`
  Returns:
    The provider name.

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `JMSProviderAdapter`

### getProperties

    public final Properties getProperties()

  Specified by:
    `getProperties` in interface `JMSProviderAdapter`

### getFactoryRef

    public String getFactoryRef()

  ???

  Specified by:
    `getFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### getQueueFactoryRef

    public String getQueueFactoryRef()

  ???

  Specified by:
    `getQueueFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### getTopicFactoryRef

    public String getTopicFactoryRef()

  ???

  Specified by:
    `getTopicFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### setFactoryRef

    public void setFactoryRef(String newFactoryRef)

  ???

  Specified by:
    `setFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### setQueueFactoryRef

    public void setQueueFactoryRef(String newQueueFactoryRef)

  ???

  Specified by:
    `setQueueFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### setTopicFactoryRef

    public void setTopicFactoryRef(String newTopicFactoryRef)

  ???

  Specified by:
    `setTopicFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.